package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.TestAaa;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.TestAaaMapper")
public interface TestAaaMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(TestAaa record);

    TestAaa selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TestAaa record);

    List<TestAaa> queryAllTestAaa(TestAaa record);

    List<TestAaa> queryTestAaaByPage(Map<String, Object> parameter);

    int delete(TestAaa record);

    TestAaa queryTestAaa(TestAaa record);

    List<TestAaa> query(TestAaa record);
}

